Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.exp
Class ExpressionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.cayenne.CayenneRuntimeException
                      org.apache.cayenne.exp.ExpressionException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  EJBQLException

    public class ExpressionException

extends CayenneRuntimeException

RuntimeException subclass thrown in cases of errors during expressions creation/parsing.

Author:
  Andrus Adamchik
See Also:
  Serialized Form

Field Summary
`protected String` | `expressionString`

Constructor Summary
`ExpressionException()` Constructor for ExpressionException.
`ExpressionException(String msg)` Constructor for ExpressionException.
`ExpressionException(String msg, String expressionString, Throwable th)` Constructor for ExpressionException.
`ExpressionException(String msg, Throwable th)` Constructor for ExpressionException.
`ExpressionException(Throwable th)` Constructor for ExpressionException.

Method Summary
`String` | `getExpressionString()`

Methods inherited from class org.apache.cayenne.CayenneRuntimeException
`getMessage, getUnlabeledMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### expressionString

    protected String expressionString

Constructor Detail

### ExpressionException

    public ExpressionException()

  Constructor for ExpressionException.

### ExpressionException

    public ExpressionException(String msg)

  Constructor for ExpressionException.

  Parameters:
    `msg` -

### ExpressionException

    public ExpressionException(Throwable th)

  Constructor for ExpressionException.

  Parameters:
    `th` -

### ExpressionException

    public ExpressionException(String msg,
                               Throwable th)

  Constructor for ExpressionException.

  Parameters:
    `msg` -
    `th` -

### ExpressionException

    public ExpressionException(String msg,
                               String expressionString,
                               Throwable th)

  Constructor for ExpressionException.

  Since:
    1.1

Method Detail

### getExpressionString

    public String getExpressionString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.